Package com.avaya.clientservices.contact

## Enum ContactSourceType

- java.lang.Object
- - java.lang.Enum<ContactSourceType>
  - - com.avaya.clientservices.contact.ContactSourceType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContactSourceType>`

      public enum ContactSourceType
      extends java.lang.Enum<ContactSourceType>

  Determines source types for contacts.

  This enumeration is used in the following places:

  Source types
  `ContactService.getContacts(DataRetrievalWatcher, ContactSourceType)` | The source type passed into the GetContacts method determines which sources the contacts will be retrieved from.
  `Contact.getContactSources()` | This list contains all sources that provide data for the contact. Due to the aggregation of provider contacts, one contact can have multiple sources of data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | All contact sources - contacts are retrieved from all sources with data from multiple sources merged into a single contact object if they represent the same person or organization.
    `ENTERPRISE` | Enterprise source - contacts from remote source, i.e.
    `LOCAL` | Local source - contacts from native OS application, i.e.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContactSourceType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContactSourceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL

          public static final ContactSourceType LOCAL

      Local source - contacts from native OS application, i.e. Outlook, Contacts app, etc.

    - #### ENTERPRISE

          public static final ContactSourceType ENTERPRISE

      Enterprise source - contacts from remote source, i.e. PPM, ACS, LDAP, etc.

    - #### ALL

          public static final ContactSourceType ALL

      All contact sources - contacts are retrieved from all sources with data from multiple sources merged into a single contact object if they represent the same person or organization.

  - ### Method Detail

    - #### values

          public static ContactSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactSourceType c : ContactSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactSourceType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null